###
PKGNAME <- "SNPlocs.Hsapiens.dbSNP.20100427"

### ==========================================================================
### List of sequences with SNPs.
###

SHORTSEQNAMES <- c(1:22, "X", "Y", "MT")
SEQNAMES <- paste("ch", SHORTSEQNAMES, sep="")


### ==========================================================================
### Serialized objects.
###

.SERIALIZED_OBJNAMES <- c(
    "SNPcount",
    "all_rsids",
    paste(SEQNAMES, "_snplocs", sep="")
)


### ==========================================================================
### Objects created "on-the-fly" (not serialized).
###

### WARNING: Improper calls to 'getdata' by the 'createObject' function can
### lead to infinite recursive loops!
createObject <- function(objname)
{
    if (objname == "empty_snplocs") {
        obj <- data.frame(loc=integer(0), alleles=raw(0))
        return(obj)
    }
    if (objname == "empty_ufsnplocs") {
        obj <- data.frame(RefSNP_id=character(0),
                          alleles_as_ambig=character(0),
                          loc=integer(0),
                          stringsAsFactors=FALSE)
        return(obj)
    }

    # add more here...
    stop("don't know how to create object '", objname, "'")
}


### ==========================================================================
### The 'getdata' function.
###

datacache <- new.env(hash=TRUE, parent=emptyenv())

getdata <- function(objname, caching=TRUE)
{
    not_cached <- !exists(objname, envir=datacache)
    if (not_cached) {
        if (objname %in% .SERIALIZED_OBJNAMES) {
            data(list=objname, package=PKGNAME, envir=datacache)
        } else {
            assign(objname, createObject(objname), envir=datacache)
        }
    }
    ans <- get(objname, envir=datacache)
    if (not_cached && !caching)
        rm(list=objname, envir=datacache)
    ans
}

