\name{SNPlocs.Hsapiens.dbSNP.20100427}
\docType{package}

\alias{SNPlocs.Hsapiens.dbSNP.20100427-package}
\alias{SNPlocs.Hsapiens.dbSNP.20100427}

\alias{COMPATIBLE_BSGENOMES}


\title{The SNPlocs.Hsapiens.dbSNP.20100427 package}

\description{
  This package contains SNP locations and alleles for Homo sapiens
  extracted from dbSNP BUILD 131.
}

\details{
  SNPs from dbSNP were filtered to keep only those satisfying the 3
  following criteria:
  \itemize{
    \item The SNP is a single-base substitution i.e. its type is "snp".
          Other types used by dbSNP are: "in-del", "mixed",
          "microsatellite", "named-locus", "multinucleotide-polymorphism",
          etc... All those SNPs were dropped.
    \item The SNP is marked as notwithdrawn.
    \item A single location on the reference genome (GRCh37) is
          reported for the SNP.
  }
}

\note{
  The source data files used for this package were created by NCBI
  on 24-26 March 2010.

  WARNING: The SNPs in this package are based on the GRCh37 genome.
  Note that the GRCh37 genome is the same as the hg19 genome from
  UCSC except for the mitochondrion chromosome. Therefore, the SNPs
  in this package can be "injected" in BSgenome.Hsapiens.UCSC.hg19
  but this injection will exclude chrM (i.e. nothing will be injected
  in that sequence).

  See \url{http://www.ncbi.nlm.nih.gov/snp}, the SNP Home at NCBI,
  for more information about dbSNP.

  See \code{?\link[BSgenome]{injectSNPs}} in the BSgenome software
  package for more information about the SNP injection mechanism.

  See \url{http://genome.ucsc.edu/cgi-bin/hgGateway?clade=mammal&org=Human&db=hg19}
  for more information about the Human Feb. 2009 (GRCh37/hg19) assembly
  used by the UCSC Genome Browser.
}

\references{
  SNP Home at NCBI:
  \url{http://www.ncbi.nlm.nih.gov/snp}

  dbSNP Build 131:human_9606 announcement:
  \url{http://www.ncbi.nlm.nih.gov/mailman/pipermail/dbsnp-announce/2010q1/000094.html}

  About the Human Feb. 2009 (GRCh37/hg19) assembly used by
  the UCSC Genome Browser:
  \url{http://genome.ucsc.edu/cgi-bin/hgGateway?clade=mammal&org=Human&db=hg19}
}

\author{H. Pages}

\seealso{
  \code{\link{getSNPlocs}} for how to access the data stored in this package.

  \code{\link[BSgenome]{injectSNPs}} in the BSgenome package for more
  information about SNP injection.
}

\keyword{package}
